<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\KursUebersicht\Detailsreiter\Honorar\GilchingVhs\HonorarPdf;

class HonorarAbrechnungAbsendenMailPresenter extends \Kufer\Web\KuferTools\Basis\Presenter\EMailPresenter
{
  protected function getView()
  {
    return new HonorarAbrechnungAbsendenMailView($this->getViewModel());
  }

  protected function getViewModel()
  {
    $viewmodel = new HonorarAbrechnungAbsendenMailViewModel();
    $viewmodel->kurs = $this->emailData->kurs;
    $viewmodel->dateiPerDmzGespeichert = $this->emailData->dateiPerDmzGespeichert;

    return $viewmodel;
  }
}